## trufont 0.6.6+ds

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile setup.py
#
appdirs==1.4.4            # via fs
booleanoperations==0.9.0
brotli==1.0.9             # via fonttools
compreffor==0.4.6.post1   # via ufo2ft
cu2qu==1.6.7              # via ufo2ft
defcon==0.7.2
fonttools[unicode,ufo,type1,woff,lxml]==4.15.0
fs==2.4.11                # via fonttools
hsluv==5.0.0
lxml==4.5.2               # via fonttools
pyclipper==1.2.0    # via booleanoperations
pyqt5-sip==12.7.0         # via pyqt5
pyqt5==5.13.2
pytz==2020.1              # via fs
six==1.15.0               # via fs
ufo-extractor==0.3.0
ufo2ft==2.16.0
unicodedata2==13.0.0.post2      # via fonttools
zopfli==0.1.6             # via fonttools

=== debian/changelog ===
trufont (0.6.6+ds-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 18 Jan 2021 21:24:18 +0800

trufont (0.6.6+ds-1) unstable; urgency=medium

  * Initial release (Closes: #806464)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 18 Jan 2021 21:24:08 +0800

=== debian/control ===
Source: trufont
Section: fonts
Priority: optional
Maintainer: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pyqt5-dev-tools,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
 python3-booleanoperations (>= 0.9.0),
 python3-defcon (>= 0.7.2),
 python3-fonttools (>= 4.15.0),
 python3-hsluv (>= 5.0.0),
 python3-pyqt5 (>= 5.13.2),
 python3-ufo-extractor (>= 0.3.0),
 python3-ufo2ft (>= 2.16.0),
Standards-Version: 4.5.1
Homepage: https://trufont.github.io/
Vcs-Browser: https://salsa.debian.org/fonts-team/trufont
Vcs-Git: https://salsa.debian.org/fonts-team/trufont.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

package: trufont
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-trufont (= ${source:Version})
Description: Font-editing application
 TruFont is a font-editing application written with Python3, ufoLib,
 defcon and PyQt5.

package: python3-trufont
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-defconqt (>= ${source:Version}),
 python3-defconqt (<< ${source:Upstream-Version}.0~)
Description: Font-editing application (Python 3 libraries)
 TruFont is a font-editing application written with Python3, ufoLib,
 defcon and PyQt5.
 .
 This provides supporting libraries for trufont font editor.

Package: python3-defconqt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Qt objects for use in defcon applications
 This provides Qt objects of defcon in trufont font editor.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	pyrcc5 Lib/trufont/resources/icons_db.qrc \
		-o Lib/trufont/resources/icons_db.py
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm Lib/trufont/_version.py

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+ds" \
   https://github.com/trufont/trufont/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
